Bug 8025 - Patron attribute not selected if value is zero
Summary: Patron attribute not selected if value is zero
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Adrien SAURAT
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-30 07:43 UTC by Adrien SAURAT
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch #1 (1.65 KB, patch)
2012-04-30 08:08 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8025: corrects the return of a zero value for authorised values (1.75 KB, patch)
2012-05-01 19:32 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-04-30 07:43:25 UTC
TEST PLAN

1) If it doesn't exist, create an authorised value "YES_NO" with the following values :
value 0 for "NO"
value 1 for "YES"

2) Create a patron attribute using this authorised value.

3) Edit a patron and setup this new attribute for him.
If you select YES, that's fine.
If you select NO, it seems ok at first after validation, but if you come back on the editing page, the select box won't have its "selected" status on the "NO" option. Instead, the default empty line is selected.
If you don't notice this and leave everything as it is, you'll reset your attribute.
Comment 1 Adrien SAURAT 2012-04-30 08:08:07 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-05-01 19:32:14 UTC
Created attachment 9385 [details] [review]
[SIGNED-OFF] Bug 8025: corrects the return of a zero value for authorised values

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2012-05-03 14:18:23 UTC
QA Comment: 
If an authorised value equal 0, it can not be selected.
This patch fix this problem.
Mark as Passed QA.
Comment 4 Jared Camins-Esakov 2012-06-14 11:48:08 UTC
This patch will be in 3.6.6.